Viewing Gentrace v2 documentation View Gentrace v1
Viewing Gentrace v2 documentation View Gentrace v1
Create a new test case
curl --request POST \
--url https://gentrace.ai/api/v4/test-cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasetId": "b2c3d4e5-f6a7-8901-2345-67890abcdef1",
"name": "Prompting with a SQL query that does not return any results",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"result": "No results found"
}
}
'{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"answer": "Paris"
},
"datasetId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Capital of France query",
"pipelineId": "abcdef12-3456-7890-abcd-ef1234567890",
"archivedAt": "2025-04-01T00:00:00.000Z",
"deletedAt": "2025-04-01T00:00:00.000Z"
}Documentation Index
Fetch the complete documentation index at: https://next.gentrace.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
Enter Gentrace API key (Format: Authorization: Bearer )
Test case creation parameters
Dataset UUID
"b2c3d4e5-f6a7-8901-2345-67890abcdef1"
Test case name
1"Prompting with a SQL query that does not return any results"
Test case inputs as a JSON object
{ "query": "What is the capital of France?" }Optional expected outputs as a JSON object
{ "result": "No results found" }Successful response
Test Case UUID
"a1b2c3d4-e5f6-7890-1234-567890abcdef"
Creation timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Last update timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Input data for the test case
{ "query": "What is the capital of France?" }Expected output data for the test case
{ "answer": "Paris" }Associated Dataset UUID
"123e4567-e89b-12d3-a456-426614174000"
Test Case name
"Capital of France query"
Associated Pipeline UUID
"abcdef12-3456-7890-abcd-ef1234567890"
Archive timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
Deletion timestamp (ISO 8601)
"2025-04-01T00:00:00.000Z"
curl --request POST \
--url https://gentrace.ai/api/v4/test-cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"datasetId": "b2c3d4e5-f6a7-8901-2345-67890abcdef1",
"name": "Prompting with a SQL query that does not return any results",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"result": "No results found"
}
}
'{
"id": "a1b2c3d4-e5f6-7890-1234-567890abcdef",
"createdAt": "2025-04-01T00:00:00.000Z",
"updatedAt": "2025-04-01T00:00:00.000Z",
"inputs": {
"query": "What is the capital of France?"
},
"expectedOutputs": {
"answer": "Paris"
},
"datasetId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Capital of France query",
"pipelineId": "abcdef12-3456-7890-abcd-ef1234567890",
"archivedAt": "2025-04-01T00:00:00.000Z",
"deletedAt": "2025-04-01T00:00:00.000Z"
}